# Edit Order

### API endpoint

```
/api/editOrder
```

### Request Samples

<pre class="language-css"><code class="lang-css"><strong> POST <a data-footnote-ref href="#user-content-fn-1">https://</a>verified-api.azurewebsites.net/api/editOrder
</strong></code></pre>

#### Response Samples

Content type

> &#x20;application/json

#### Body Params

```json
{
    "securityAddress": "string",
    "currencyAddress": "string",
    "quantity": "string",
    "newPrice": "string",
    "swapType": "string",
    "poolId": "string",
    "secret_key": "string",
    "orderRef": "string"
}
```

### Sample body request

```
{
    "securityAddress": "0x7395e5201ed7a841d1a1b04e8c19ab80dd72ab81",
    "currencyAddress": "0x07865c6e87b9f70255377e024ace6630c1eaa37f",
    "quantity": "1",
    "newPrice": "10",
    "swapType": "Sell",
    "poolId": "0xfe94f5cea565935aa092d66b8540b03a4de05872000000000000000000000860",
    "secret_key": "153eb0b3726764d204aedc9062974ee82edcca2bc536f3742149511d0e455306",
    "orderRef": "0x02b448270f09015cd96a96413621e8462fb7465b1860ecc24bab1a5cfef151f7"
}
```

> ### Encryption of Secret key
>
> ```
> Algorithm : AES-256-CBC
> Secretkey (32 bytes data) = "verified@API"
> initVector (16 bytes data) = wallletAddress 
> ```

### Response

```json
{
    "status": ok
}
```

###

[^1]:
